MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031687Open CASCADE[OCCT] OCCT:DRAWpublic2020-07-24 16:552020-07-25 14:02
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031687: Draw Harness, ViewerTest - extend command vrenderparams with option updating viewer defaults
DescriptionCurrently vrenderparams command changes active View parameters leaving Viewer defaults and other Views unaffected. It is desired extending the command to optionally synchronize them.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0093298)
git (administrator)
2020-07-24 16:58

Branch CR31687 has been created by kgv.

SHA-1: a164d2ddfbcca3d5a88ad21fa709c05ba68f808b


Detailed log of new commits:

Author: kgv
Date: Thu Jul 23 22:39:27 2020 +0300

    0031687: Draw Harness, ViewerTest - extend command vrenderparams with option updating viewer defaults
    
    SelectMgr_ViewerSelector3d::ClearSensitive() - fixed crash on removing presentations (via command vsensera).
    
    Added new parameters -sync and -reset to vrenderparams command synchronizing parameters across Views.
    Parameters -raster and -rayTrace now accept optional on|off values.
    Improved command description.
(0093299)
kgv (developer)
2020-07-24 17:03

Patch is ready for review in OCCT branch CR31687.
(0093300)
osa (developer)
2020-07-24 17:42

The patch was reviewed
(0093324)
bugmaster (administrator)
2020-07-25 13:23

Combination -
OCCT branch : IR-2020-07-24
master SHA - 4c7a3faef5f292475c23ee615ad49d57fc039b58
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-07-24 SHA - be95aa91db3bd344c872901349e58022d3c687fc
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17271.39000000011 / 17230.04000000007 [+0.24%]
Products
Total CPU difference: 800.6699999999917 / 791.7399999999936 [+1.13%]
Windows-64-VC14:
OCCT
Total CPU difference: 18742.140625 / 18745.390625 [-0.02%]
Products
Total CPU difference: 1329.234375 / 1321.390625 [+0.59%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0093329)
git (administrator)
2020-07-25 14:02

Branch CR31687 has been deleted by inv.

SHA-1: a164d2ddfbcca3d5a88ad21fa709c05ba68f808b

- Related Changesets
occt: master 4c7a3fae
Timestamp: 2020-07-23 19:39:27
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031687: Draw Harness, ViewerTest - extend command vrenderparams with option updating viewer defaults

SelectMgr_ViewerSelector3d::ClearSensitive() - fixed crash on removing presentations (via command vsensera).

Added new parameters -sync and -reset to vrenderparams command synchronizing parameters across Views.
Parameters -raster and -rayTrace now accept optional on|off values.
Improved command description.
mod - src/SelectMgr/SelectMgr_ViewerSelector3d.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-07-24 16:55 kgv New Issue
2020-07-24 16:55 kgv Assigned To => kgv
2020-07-24 16:58 git Note Added: 0093298
2020-07-24 17:03 kgv Note Added: 0093299
2020-07-24 17:03 kgv Assigned To kgv => osa
2020-07-24 17:03 kgv Status new => resolved
2020-07-24 17:42 osa Note Added: 0093300
2020-07-24 17:42 osa Assigned To osa => bugmaster
2020-07-24 17:42 osa Status resolved => reviewed
2020-07-25 13:23 bugmaster Note Added: 0093324
2020-07-25 13:23 bugmaster Status reviewed => tested
2020-07-25 13:37 bugmaster Test case number => Not required
2020-07-25 13:57 bugmaster Changeset attached => occt master 4c7a3fae
2020-07-25 13:57 bugmaster Status tested => verified
2020-07-25 13:57 bugmaster Resolution open => fixed
2020-07-25 14:02 git Note Added: 0093329


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker